Metacat - Task #5932
Bug # 5812 (Closed): Rework default skin[s] to use SOLR query

Allow use of PID (or docid) using cgi-registry modification form
05/03/2013 09:44 AM - ben leinfelder

Status: Closed Start date: 05/03/2013
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.2.0 Spent time: 0.00 hour
Description

The SOLR search results XSLT includes a section for editing packages via the Perl registry. But the registry assumes docid
(scope.docid or scope.docid.rev) and not PID.
It would be nice if the registry could handle PID as well.

History

#1 - 05/03/2013 09:53 AM - ben leinfelder

Another option would be to "look-up" the docid from Metacat using the pid and a yet-to-be-defined new Metacat API servlet action. This would force
the client (the search results page) to figure out the docid rather than the cgi. It's a slippery slope when we start adding in PID support directly to the
Metacat API since so much of it relies on the scope.docid.rev Metacat format.

#2 - 05/16/2013 03:42 PM - ben leinfelder

- Status changed from New to Closed

The registry now calls a new Metacat servlet method: getDocid(pid). Then it continues on as though the docid was provided in the initial request.
